Description

Description of problem:

As a user I'm unable to find which content view is preventing repository from being deleted

if repository is included to removed version of content view which was included into composite

content view (yeah, it was complex, I know :D).

Steps to Reproduce:

1. Create repository X;

2. Create content view A;

3. Include repository X to content view A;

4. Publish content view A to library;

5. Create composite content view B;

6. Include content view A to composite content view B;

7. Publish content view B to library;

8. Remove all versions of content view A;

9. Try to remove repository X.

Actual results:

RuntimeError: Repository cannot be deleted since it has already been included in a published Content View.

Please delete all Content View versions containing this repository before attempting to deleting it.

Expected results:

Either indicate content view id which is preventing repository removal or

prevent content view versions from being deleted if it was included into composite content view.

Additional info:

1. hammer content-view list

can't help in this situation as it was not showing repository ids for composite content views.

1. rpm -qa | grep katello

katello-installer-base-2.2.2-1.el7.noarch

katello-service-2.2.1-0.el7.noarch

katello-debug-2.2.1-0.el7.noarch

katello-selinux-2.2.1-1.el7.noarch

katello-common-2.2.1-0.el7.noarch

katello-server-ca-1.0-2.noarch

katello-certs-tools-2.0.1-1.el7.noarch

katello-default-ca-1.0-1.noarch

katello-agent-2.2.1-1.el7.noarch

rubygem-hammer_cli_katello-0.0.14-1.el7.noarch

katello-2.2.1-0.el7.noarch

ruby193-rubygem-katello-2.2.2-2.el7.noarch

katello-installer-2.2.2-1.el7.noarch

pulp-katello-0.4-1.el7.noarch
Related issues:

Related to Katello - Feature #35901: Allow searching for composite content vi... Closed

Associated revisions

Revision 51191a78 - 12/20/2023 03:40 PM - Samir Jha

Fixes #11760 - Update repo deletion message to include --remove-from-content-view-versions help text (#10820)

History

#1 - 10/06/2015 08:14 AM - Eric Helms

- translation missing: en.field_release set to 70

- Triaged changed from No to Yes

#2 - 11/19/2015 12:04 PM - Eric Helms

- translation missing: en.field_release changed from 70 to 86

#3 - 05/17/2016 11:40 AM - Eric Helms

- translation missing: en.field_release changed from 86 to 144

#4 - 06/17/2016 11:09 AM - Eric Helms

- translation missing: en.field_release changed from 144 to 168

#5 - 06/20/2016 08:55 AM - Eric Helms

- translation missing: en.field_release changed from 168 to 114

#6 - 11/08/2022 04:27 PM - Marek Hulán

- Bugzilla link set to 2141063

#7 - 01/05/2023 05:08 PM - Julio Entrena

- Related to Feature #35901: Allow searching for composite content views that contain a content view added

#8 - 12/06/2023 07:43 PM - Samir Jha

- Assignee set to Samir Jha

- Target version changed from Katello Backlog to Katello 4.11.0

- Triaged set to No

#9 - 12/06/2023 08:52 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/10820 added

#10 - 12/13/2023 06:39 PM - Partha Aji

- Triaged changed from No to Yes

#11 - 12/20/2023 03:40 PM - The Foreman Bot

- Fixed in Releases Katello 4.12.0 added

#12 - 12/20/2023 04:00 PM - Samir Jha

- Status changed from Ready For Testing to Closed

Applied in changeset katello|51191a780713660e2ccff00e2d7027019c021e1a.
